Bug 226145 - Merge Review: mkbootdisk
Merge Review: mkbootdisk
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Schiffer
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 14:41 EST by Nobody's working on this, feel free to take it
Modified: 2011-08-04 09:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-04 09:20:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pschiffe: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 14:41:21 EST
Fedora Merge Review: mkbootdisk

http://cvs.fedora.redhat.com/viewcvs/devel/mkbootdisk/
Initial Owner: pvrabec@redhat.com
Comment 1 Peter Schiffer 2011-07-29 04:45:07 EDT
Checked srpm:
$ sha256sum mkbootdisk-1.5.5-2.fc16.src.rpm 
cd94bc7c70816020bafbd713caa2b8e831f680033e34f32c217d61afc0f9d045
mkbootdisk-1.5.5-2.fc16.src.rpm

N/A source files match upstream - no upstream.

YES package meets naming and versioning guidelines. 
YES specfile is properly named, is cleanly written and uses macros
consistently.
YES dist tag is present.
INFO clean section and buildroot present - clean section 
is not necessary any more and buildroot is ignored - they should be removed.
YES license field matches the actual license.
YES license is open source-compatible 
NO License text included in package - license is included in source package,
but not in the rpm package.
YES latest version is being packaged.
N/A BuildRequires are proper.
N/A compiler flags are appropriate.
YES package builds in mock (Rawhide/x86_64).
N/A debuginfo package looks complete.

NO rpmlint is silent.

$ rpmlint mkbootdisk.spec 
mkbootdisk.spec: W: no-%build-section
 - this is OK
mkbootdisk.spec: W: invalid-url Source0: mkbootdisk-1.5.5.tar.xz
 - this is OK
0 packages and 1 specfiles checked; 0 errors, 2 warnings.

$ rpmlint mkbootdisk-1.5.5-2.fc16.src.rpm 
mkbootdisk.src: W: summary-ended-with-dot C Creates a boot floppy disk for booting a system.
 - easy to fix.
mkbootdisk.src: W: spelling-error %description -l en_US filesystem -> file system, file-system, systematic
 - this is OK
mkbootdisk.src: W: spelling-error %description -l en_US fstab -> stab, f stab, fiesta
 - this is OK
mkbootdisk.src: W: spelling-error %description -l en_US ramdisk -> ram disk, ram-disk, rammish
 - this is OK
mkbootdisk.src: W: no-url-tag
mkbootdisk.src: W: no-%build-section
mkbootdisk.src: W: invalid-url Source0: mkbootdisk-1.5.5.tar.xz
1 packages and 0 specfiles checked; 0 errors, 7 warnings.

$ rpmlint mkbootdisk-1.5.5-2.fc16.x86_64.rpm 
mkbootdisk.x86_64: W: summary-ended-with-dot C Creates a boot floppy disk for booting a system.
mkbootdisk.x86_64: W: spelling-error %description -l en_US filesystem -> file system, file-system, systematic
mkbootdisk.x86_64: W: spelling-error %description -l en_US fstab -> stab, f stab, fiesta
mkbootdisk.x86_64: W: spelling-error %description -l en_US ramdisk -> ram disk, ram-disk, rammish
mkbootdisk.x86_64: W: no-url-tag
mkbootdisk.x86_64: E: no-binary
 - this is OK
1 packages and 0 specfiles checked; 1 errors, 5 warnings.

YES final provides and requires look sane.
N/A %check is present and all tests pass.
YES no shared libraries are added to the regular linker search paths.
YES owns the directories it creates.
YES doesn't own any directories it shouldn't.
YES no duplicates in %files.
YES scriptlets must be sane.
YES code, not content.
N/A large documentation files must go in a -doc subpackage.
YES %docs are not necessary for the proper functioning of the package.
YES no headers.
YES no pkgconfig files.
YES no libtool .la droppings.
YES not a GUI app.

Additional comments:
 * Is not ExclusiveArch missing sparc64?
 * On line 10 in .spec file is outdated commentary.
 * %defattr is not used in %files section as every file has it own %attr.
 * rm -rf $RPM_BUILD_ROOT in %install section is not needed any more.
Comment 2 Jaroslav Škarvada 2011-08-03 05:16:56 EDT
Peter thanks for the review, hopefully I fixed it all in rawhide (mkbootdisk-1.5.5-3.fc17). The BuildRoot tag and %clean section is not required, but I would rather let it there for backward compatibility (it is not forbidden by packaging guidelines).
Comment 3 Peter Schiffer 2011-08-04 09:04:00 EDT
Checked srpm:
$ sha256sum mkbootdisk-1.5.5-3.fc17.src.rpm 
09a64ea55c2ae301588ed836a55ac2fda3177e63c73f8d0c366ece786c3d156d
mkbootdisk-1.5.5-3.fc17.src.rpm

YES License text included in package.

NO rpmlint is silent - but all errors and warnings can be ignored.

$ rpmlint mkbootdisk.spec 
mkbootdisk.spec: W: no-%build-section
mkbootdisk.spec: W: invalid-url Source0: mkbootdisk-1.5.5.tar.xz
0 packages and 1 specfiles checked; 0 errors, 2 warnings.

$ rpmlint mkbootdisk-1.5.5-3.fc17.src.rpm 
mkbootdisk.src: W: spelling-error %description -l en_US filesystem -> file system, file-system, systematic
mkbootdisk.src: W: spelling-error %description -l en_US fstab -> stab, f stab, fiesta
mkbootdisk.src: W: spelling-error %description -l en_US ramdisk -> ram disk, ram-disk, rammish
mkbootdisk.src: W: no-url-tag
mkbootdisk.src: W: no-%build-section
mkbootdisk.src: W: invalid-url Source0: mkbootdisk-1.5.5.tar.xz
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

$ rpmlint mkbootdisk-1.5.5-3.fc17.x86_64.rpm 
mkbootdisk.x86_64: W: spelling-error %description -l en_US filesystem -> file system, file-system, systematic
mkbootdisk.x86_64: W: spelling-error %description -l en_US fstab -> stab, f stab, fiesta
mkbootdisk.x86_64: W: spelling-error %description -l en_US ramdisk -> ram disk, ram-disk, rammish
mkbootdisk.x86_64: W: no-url-tag
mkbootdisk.x86_64: E: no-binary
1 packages and 0 specfiles checked; 1 errors, 4 warnings.

Additional comments:
 * rm -rf $RPM_BUILD_ROOT in %install section is not needed any more.

None of these comments is blocking the approval -> APPROVED.
Comment 4 Jaroslav Škarvada 2011-08-04 09:20:39 EDT
Thanks.

Note You need to log in before you can comment on or make changes to this bug.